<?php namespace webvimark\modules\UserManagement\controllers;

use webvimark\components\AdminDefaultController;
use Yii;
use webvimark\modules\UserManagement\models\User;
use webvimark\modules\UserManagement\models\search\UserSearch;
use yii\web\NotFoundHttpException;
use app\models\Employee;
use app\models\Organization;
use yii\helpers\json;
use app\models\OutletUser;
use app\models\RegionUser;
use webvimark\modules\UserManagement\models\rbacDB\Role;
use yii\helpers\ArrayHelper;
use yii\filters\ContentNegotiator;
use yii\web\Response;
use yii\web\UploadedFile;
use DateTime;
use DatePeriod;
use DateInterval;
use app\models\SessionUsers;


/**
 * UserController implements the CRUD actions for User model.
 */

class UserController extends AdminDefaultController
{
	/**
	 * @var User
	 */
	public $modelClass = 'webvimark\modules\UserManagement\models\User';

	/**
	 * @var UserSearch
	 */
	public $modelSearchClass = 'webvimark\modules\UserManagement\models\search\UserSearch';

	/**
	 * @return mixed|string|\yii\web\Response
	 */
	public function actionCreate()
	{	
		
		$model = new User(['scenario'=>'newUser']);
				
		// if ( $model->load(Yii::$app->request->post()) && $model->save() )
		// {
		
		// 	User::assignRole($model->id, "50");	
			                  
		// 	return $this->redirect(['view', 'id' => $model->id]);
                  		
		// }
		
	
      
		$model2 = new User();

			  
	   if (Yii::$app->request->isPost) {
		   $model2->file = UploadedFile::getInstance($model, 'file');
		  $exten = $model2->file->extension;
		
		   if ($model2->file) {
			   
			   if ($model->load(Yii::$app->request->post())) {
				   $model2->file->name = $model->username;                    
				   $model->profile_log = "";                     
				   $createTimeStamp = date('YmdHis');                                  
				   $model2->file->saveAs('profile_pictures/'.$model->username. '_'.$createTimeStamp.'.'. $exten);
				   $model->profile_log = '../profile_pictures/'.$model->username. '_'.$createTimeStamp.'.'.$exten;                  
  
				   if( $model->save()){
					$master_version = Yii::$app->db->createCommand('SELECT * FROM tbl_version WHERE tbl_name="tbl_user"')->queryOne();
					$new_version = $master_version['tbl_version']+1;
					$increament_master_fare_version = Yii::$app->db->createCommand('UPDATE tbl_version SET tbl_version='.$new_version.' WHERE tbl_name="tbl_user"')->execute();
					
						User::assignRole($model->id, "50");
						Yii::$app->getSession()->setFlash('success','User created successfully');
					return $this->redirect(['view', 'id' => $model->id]);	
				   }
				   
			   }
		   }else{
			   
			   if ($model->load(Yii::$app->request->post())) {
				   
				   $model->profile_log = "";
				   $createTimeStamp = date('YmdHis');				  
				   $model->profile_log = '../profile_pictures/default_profile.jpg';
				   if( $model->save()){
					$master_version = Yii::$app->db->createCommand('SELECT * FROM tbl_version WHERE tbl_name="tbl_user"')->queryOne();
					$new_version = $master_version['tbl_version']+1;
					$increament_master_fare_version = Yii::$app->db->createCommand('UPDATE tbl_version SET tbl_version='.$new_version.' WHERE tbl_name="tbl_user"')->execute();
					
						User::assignRole($model->id, "50");
						Yii::$app->getSession()->setFlash('success','User created successfully');
						return $this->redirect(['view', 'id' => $model->id]);	
					}
			   }
		   }
	   }

		return $this->render('create', [
			'model' => $model,
			'model2'=>$model2
			
		]);
	}



	public function actionUpdate($id)
	{
	
		$model = $this->findModel($id);
		
		
		if (Yii::$app->request->isPost) {
            $model->file = UploadedFile::getInstance($model, 'file');

            if (!$model->file) {

                if ($model->load(Yii::$app->request->post()) && $model->save()) {
					$master_version = Yii::$app->db->createCommand('SELECT * FROM tbl_version WHERE tbl_name="tbl_user"')->queryOne();
					$new_version = $master_version['tbl_version']+1;
					$increament_master_fare_version = Yii::$app->db->createCommand('UPDATE tbl_version SET tbl_version='.$new_version.' WHERE tbl_name="tbl_user"')->execute();
					
                    Yii::$app->getSession()->setFlash('success','User updated successfully');
                    return $this->redirect(['view', 'id' => $model->id]);
                }


            }
            $createTimeStamp = date('YmdHis');
            $model->file->saveAs('profile_pictures/' . $model->username . '_' . $createTimeStamp . '.' . $model->file->extension);

                //save databases
            $model->profile_log = 'profile_pictures/' . $model->username . '_' . $createTimeStamp . '.' . $model->file->extension;

            if ($model->load(Yii::$app->request->post()) && $model->save()) {
               Yii::$app->getSession()->setFlash('success','Success');
                return $this->redirect(['view', 'id' => $model->id]);
            }

        }
		
		return $this->render('update', [
			'model' => $model,

		]);
	}
	/**
	 * @param int $id User ID
	 *
	 * @throws \yii\web\NotFoundHttpException
	 * @return string
	 */
	public function actionChangePassword($id)
	{

		
		$model = User::findOne($id);
		//print_r($model);die;

		if ( !$model )
		{
			throw new NotFoundHttpException('User not found');
		}

		$model->scenario = 'changePassword';

		if ( $model->load(Yii::$app->request->post()) )
		{
			if($model->validate() ){
				$model->save();
				$master_version = Yii::$app->db->createCommand('SELECT * FROM tbl_version WHERE tbl_name="tbl_user"')->queryOne();
					$new_version = $master_version['tbl_version']+1;
					$increament_master_fare_version = Yii::$app->db->createCommand('UPDATE tbl_version SET tbl_version='.$new_version.' WHERE tbl_name="tbl_user"')->execute();
					
				return $this->redirect(['view',	'id' => $model->id]);
			}else{
				Yii::$app->getSession()->setFlash('danger','Required fields are missing, please update the user and try again');
			}

			

			

			
		}

		return $this->renderIsAjax('changePassword', compact('model'));
	}

	public function actionQuick()
    {
        $id = ($_POST['id']);
        $this->redirect(['view', 'id' => $id]);
	}
	
	public function actionView($id){
		$model = $this->findModel($id);
		
		$dataRosterProvider = SessionUsers::find()->where(['user_id'=>$model->id])->orderBy([
            'id' => SORT_DESC,
           
          ])->all();

	 
		
		return $this->render('view', [
			'model' => $model,
			'dataRosterProvider'=>$dataRosterProvider

		]);
	}
 
 public function actionCheckUsername()
{
    Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;


    $username = Yii::$app->request->post('username');

	Yii::info('Received username: ' . $username, __METHOD__);

    if (!$username || strlen($username) < 3) {
        return [
            'exists' => false,
            'message' => 'Please enter at least 5 characters.',
        ];
    }

    $existingUser = User::findOne(['username' => $username]);

    if ($existingUser) {
        // Generate suggestions
        // $suggestions = [];
        // for ($i = 1; $i <= 3; $i++) {
        //     $suggestions[] = $username . $i; // Append numbers for suggestions
        // }

        return [
            'exists' => true,
            //'suggestions' => $suggestions,
        ];
    }

    return ['exists' => false];
}

public function actionCheckNic()
{
    Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;

    $nic = Yii::$app->request->post('nic');
    Yii::info('Received NIC: ' . $nic, __METHOD__);

    if (!$nic || (strlen($nic) !== 10 && strlen($nic) !== 12)) {
        return [
            'exists' => false,
            'message' => 'Please enter a valid NIC with 10 or 12 characters.',
        ];
    }

    $existingNic = User::findOne(['nic' => $nic]);

    return [
        'exists' => (bool) $existingNic,
    ];
}
 
 

}


 
