<?php

use webvimark\modules\UserManagement\components\GhostHtml;
use webvimark\modules\UserManagement\models\rbacDB\Role;
use webvimark\modules\UserManagement\models\User;
use webvimark\modules\UserManagement\UserManagementModule;
use yii\helpers\Html;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use yii\widgets\Pjax;
use app\models\Employee;
use webvimark\extensions\GridBulkActions\GridBulkActions;
use webvimark\extensions\GridPageSize\GridPageSize;
use yii\grid\GridView;

/**
 * @var yii\web\View $this
 * @var yii\data\ActiveDataProvider $dataProvider
 * @var webvimark\modules\UserManagement\models\search\UserSearch $searchModel
 */

$this->title = UserManagementModule::t('back', 'Users');
$this->params['breadcrumbs'][] = $this->title;

?>
<div class="user-index">

	

	<div class="portlet light">
	<div class="row">
	<?php if(User::hasRole('10') || User::hasRole('90') ):?>
	<div class="col-sm-6">
					 <p style="margin-top:8px;margin-bottom:8px;">
						<?= GhostHtml::a(
						UserManagementModule::t('back', 'Create'),
						['/user-management/user/create'],
						['class' => 'btn btn-success']
					) ?>
					</p>
				</div>
						<?php endif;?>
		
				

				
			</div>
	 <div class="portlet-title">
	 
                    <div class="caption">
                        <i class="icon-social-dribbble font-dark hide"></i>
                        <span class="caption-subject font-dark bold uppercase"><?= Html::encode($this->title) ?></span>
                    </div>
                    <div class="actions">
                
                    </div>
                </div>
				<div class=" text-right">
					<?= GridPageSize::widget(['pjaxId' => 'user-grid-pjax']) ?>
				</div>
		<div class="portlet-body">

			
			

			<?php Pjax::begin([
				'id'=>'user-grid-pjax',
			]) ?>

			<?= GridView::widget([
				'id'=>'user-grid',
				'dataProvider' => $dataProvider,
				'pager'=>[
					'options'=>['class'=>'pagination pagination-sm'],
					'hideOnSinglePage'=>true,
					'lastPageLabel'=>'>>',
					'firstPageLabel'=>'<<',
				],
				'filterModel' => $searchModel,
				'layout'=>'{items}<div class="row"><div class="col-sm-8">{pager}</div><div class="col-sm-4 text-right">{summary}'.GridBulkActions::widget([
						'gridId'=>'user-grid',
						'actions'=>[
							Url::to(['bulk-activate', 'attribute'=>'status'])=>GridBulkActions::t('app', 'Activate'),
							Url::to(['bulk-deactivate', 'attribute'=>'status'])=>GridBulkActions::t('app', 'Deactivate'),
							// '----'=>[
							// //Url::to(['bulk-delete'])=>GridBulkActions::t('app', 'Delete'),
							// ],
						],
					]).'</div></div>',
				'columns' => [
					['class' => 'yii\grid\SerialColumn', 'options'=>['style'=>'width:10px'] ],

					[
						'class'=>'webvimark\components\StatusColumn',
						'attribute'=>'superadmin',
						'visible'=>Yii::$app->user->isSuperadmin,
						'options' => ['style' => 'width:100px;'],
					],
					'username',
				//	'full_name',
//					[
//						'attribute'=>
//						'value'=>function(User $model){
//								return Html::a($model->username,['view', 'id'=>$model->id],['data-pjax'=>0]);
//							},
//						'format'=>'raw',
//					],
//					[
//						'attribute'=>'email',
//						'format'=>'raw',
//						'visible'=>User::hasPermission('viewUserEmail'),
//					],
					// [
					// 	'class'=>'webvimark\components\StatusColumn',
					// 	'attribute'=>'email_confirmed',
					// 	'visible'=>User::hasPermission('viewUserEmail'),
					// ],
					[
						'attribute'=>'gridRoleSearch',
						// 'filter'=>ArrayHelper::map(Role::getAvailableRoles(Yii::$app->user->isSuperAdmin),'name', 'description'),
						'filter'=>ArrayHelper::map(Role::getAvailableRoles(true, Yii::$app->user->isSuperAdmin),'name', 'description'),
						'value'=>function(User $model){
								return implode(', ', ArrayHelper::map($model->roles, 'name', 'description'));
							},
						'format'=>'raw',
						'visible'=>User::hasPermission('viewUserRoles'),
					],
//					[
//						'attribute'=>'registration_ip',
//						'value'=>function(User $model){
//								return Html::a($model->registration_ip, "http://ipinfo.io/" . $model->registration_ip, ["target"=>"_blank"]);
//							},
//						'format'=>'raw',
//						'visible'=>User::hasPermission('viewRegistrationIp'),
//					],
					[
						'value'=>function(User $model){
								return GhostHtml::a(
									UserManagementModule::t('back', 'Roles and permissions'),
									['/user-management/user-permission/set', 'id'=>$model->id],
									['class'=>'btn btn-xs btn-primary', 'data-pjax'=>0]);
							},
						'format'=>'raw',
						//'visible'=>User::canRoute('/user-management/user-permission/set'),
						'visible'=>User::hasRole('10'),
						'options'=>[
							'width'=>'10px',
						],
					],
					[
						'value'=>function(User $model){
								return GhostHtml::a(
									UserManagementModule::t('back', 'Change password'),
									['change-password', 'id'=>$model->id],
									['class'=>'btn btn-xs btn-default', 'data-pjax'=>0]);
							},
						'format'=>'raw',
						'options'=>[
							'width'=>'10px',
						],
					],
					[
						'class'=>'webvimark\components\StatusColumn',
						'attribute'=>'status',
						'optionsArray'=>[
							[User::STATUS_ACTIVE, UserManagementModule::t('back', 'Active'), 'success'],
							[User::STATUS_INACTIVE, UserManagementModule::t('back', 'Deactive'), 'warning'],
							// [User::STATUS_BANNED, UserManagementModule::t('back', 'Banned'), 'danger'],
						],
					],
					['class' => 'yii\grid\CheckboxColumn', 'options'=>['style'=>'width:10px'] ],
					
					
					// [
					// 	'class' => 'yii\grid\ActionColumn',
					// 	'contentOptions'=>['style'=>'width:70px; text-align:center;'],
					// ],
					['class' => 'yii\grid\ActionColumn','template'=>'{view} {update}' ]
				
				],
			]); ?>

			<?php Pjax::end() ?>

		</div>
	</div>
</div>
