<?php

use webvimark\modules\UserManagement\components\GhostHtml;
use webvimark\modules\UserManagement\models\rbacDB\Role;
use webvimark\modules\UserManagement\models\User;
use webvimark\modules\UserManagement\UserManagementModule;
use yii\helpers\ArrayHelper;
use yii\helpers\Html;
use yii\widgets\DetailView;

use yii\helpers\BaseUrl;
use yii\helpers\Url;

use kartik\select2\Select2;

/**
 * @var yii\web\View $this
 * @var webvimark\modules\UserManagement\models\User $model
 */

$this->title = $model->username;
$this->params['breadcrumbs'][] = ['label' => UserManagementModule::t('back', 'Users'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>

 <script>
                            //search fn for schedule dates
                            function searchSchedules(myInput, myUL) {
                                console.log("kl");
                                var input, filter, ul, li, a, i, x;
                                input = document.getElementById(myInput);
                                filter = input.value.toUpperCase();
                                ul = document.getElementById(myUL);
                                li = ul.getElementsByTagName("li");
                                for (i = 0; i < li.length; i++) {
                                    a = li[i].getElementsByTagName("p")[0];
                                    b = li[i].getElementsByTagName("p")[1];
                                    c = li[i].getElementsByTagName("p")[2];
                                    d = li[i].getElementsByTagName("p")[3];
                                    if (a.innerHTML.toUpperCase().indexOf(filter) > -1 || 
                                    b.innerHTML.toUpperCase().indexOf(filter) > -1 ||  
                                    c.innerHTML.toUpperCase().indexOf(filter) > -1 ||
                                    d.innerHTML.toUpperCase().indexOf(filter) > -1 
                                    ) {
                                        li[i].style.display = "";
                                    } else {
                                        li[i].style.display = "none";
                                        var c = $('myUL li:visible').size();
                                    }
                                }
                            }
                            </script>

<div class="booth-view">

    <div class="portlet light ">
        <div class="portlet-title">
            <p style="margin-top:8px;margin-bottom:8px;">
          

          
                <?= GhostHtml::a(UserManagementModule::t('back', 'Edit'), ['update', 'id' => $model->id], ['class' => 'btn btn-sm btn-primary']) ?>

<?= GhostHtml::a(UserManagementModule::t('back', 'Change Password'), ['auth/change-own-password', 'id' => $model->id], ['class' => 'btn btn-sm btn-danger']) ?>
               
               
                <?php if(User::hasRole('10')):?>
                <?= GhostHtml::a(UserManagementModule::t('back', 'Create'), ['create'], ['class' => 'btn btn-sm btn-success']) ?>
                <?= GhostHtml::a(
			UserManagementModule::t('back', 'Roles and permissions'),
			['/user-management/user-permission/set', 'id'=>$model->id],
			['class' => 'btn btn-sm btn-danger']
		) ?>
        <?php endif;?>  

                <!-- <?= GhostHtml::a(UserManagementModule::t('back', 'Delete'), ['delete', 'id' => $model->id], [
			'class' => 'btn btn-sm btn-danger pull-right',
			'data' => [
			'confirm' => UserManagementModule::t('back', 'Are you sure you want to delete this user?'),
			'method' => 'post',
			],
        ]) 
        
        ?> -->

            </p>
            <div class="caption">
                <i class="icon-social-dribbble font-dark hide"></i>
                <span class="caption-subject font-dark bold uppercase">User Profile:
                    <?= $this->title; ?></span>
            </div>
            <div class="action col-md-4 pull-right ">

                <!-- < ?php $data = ArrayHelper::map($model::find()->all(), 'id', 'username'); ?> -->

                <?php $data = $model::getList(); ?>
                <?php yii\widgets\Pjax::begin([]) ?>
                <?php echo Select2::widget([

                'model' => $model,
                'attribute' => 'username',
                'data' => $data,
                'size' => Select2::SMALL,
                'options' => ['placeholder' => 'Search for username ...', 'class' => 'small'],
                'pluginOptions' => [
                    'allowClear' => true
                ],
                'pluginEvents' => [
                    'select2:select' => "function (e) {        
                            var id = e.params.data.id;                                    
                            console.log(id);
                            myFunction(id);                           
                            }"
                ]
            ]);

            ?>
                <script>
                //Parse the drop down selected item to controller 
                function myFunction(id) {

                    $.ajax({
                        url: '<?php echo Url::to(['/./user-management/user/quick']); ?>',

                        type: 'post',
                        dataType: 'json',
                        data: {
                            "id": id
                        },
                        success: function(data) {
                            alert(data.id);

                        }
                    });
                }
                </script>
                <?php yii\widgets\Pjax::end() ?>

            </div>
        </div>
        <div class="portlet-body">
            <div class="row">

                <div class="user-view">



                    <div class="">
                        <div class="panel-body">
                            <!-- // start body -->
                            <div class="portlet-body">
                                <div class="row">
                                    <div class="col-md-2 price-table-pricing">
                                        <ul class="list-unstyled profile-nav">
                                            <li>
                                                <img src="<?php echo Yii::$app->getUrlManager()->getBaseUrl(); ?><?php echo '/'. $model->profile_log ?>"
                                                    class="img-responsive w3-card pic-bordered" height="180px"
                                                    width="165px"
                                                    onerror="this.src='/RDA/web/../profile_pictures/default_profile.jpg';"
                                                    alt="">


                                            </li>

                                        </ul>

                                    </div>
                                    <!--start col-md-6-->
                                    <div class="col-md-6 profile-info">
                                        <p class="uppercase bold">
                                            Username : <?= Html::encode($model->username) ?>
                                        </p>
                                        <p class="uppercase ">
                                            Full Name : <?= Html::encode($model->full_name) ?>
                                        </p>
                                        <p class="uppercase ">
                                            Personal File No : <?= Html::encode($model->file_no) ?>
                                        </p>





                                    </div>
                                    <!--end col-md-6-->
                                    <!--start col-md-4-->
                                    <div class="col-md-4">
                                        <div class="portlet sale-summary">
                                            <div class="portlet-title">
                                                <div class="label label-success" style="font-size:12px;">

                                                    <?= Html::encode($model->username) ?>

                                                </div> &nbsp;&nbsp
                                                <span class="caption-subject font-purple-soft bold "> Status : <?php
                        if ($model->status == 0) {
                            echo Html::tag('p', 'DEACTIVE', ['class' => 'label label-danger fontS11','style'=>'font-size:10px']);
                        } elseif ($model->status == 1) {
                            echo Html::tag('p', 'ACTIVE', ['class' => 'label label-default fontS11','style'=>'font-size:10px;background-color:#30d82c']);
                        };
                        ?></span>


                                            </div>
                                            <div class="portlet-body">
                                                <ul class="list-unstyled"
                                                    style="border-left: 1px solid #cccccc;padding: 5px;">
                                                    <li>
                                                        <span class="" style="font-size:12px;"> NIC

                                                        </span>
                                                        <span class="sale-num" style="font-size:12px;">
                                                            <?php 
                                                        if(isset($model->nic)){
                                                            echo $model->nic;
                                                        }
                                                        ?>
                                                        </span>
                                                    </li>
                                                    <li>
                                                        <span class="" style="font-size:12px;"> E-mail

                                                        </span>
                                                        <span class="sale-num" style="font-size:12px;">
                                                            <?php 
                                                        if(isset($model->email)){
                                                            echo $model->email;
                                                        }
                                                        ?>
                                                        </span>
                                                    </li>

                                                    <li>
                                                        <span class="" style="font-size:12px;"> Contact </span>
                                                        <span class="sale-num" style="font-size:12px;">
                                                            <?php

                                                        if (isset($model->contact_number)) {
                                                            echo ($model->contact_number);
                                                        }
                                                        ?> </span>
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                                <!--end col-md-4-->


                            </div>
                            <!-- // end body -->



                            <div class="tabbable-line tabbable-custom-profile">
                                <ul class="nav nav-tabs">
                                    <li id="li_1 " class="active">
                                        <a href="#tab_1_111" data-toggle="tab">
                                            Roster </a>
                                    </li>
                                    <li id="li_1 " class="">
                                        <a href="#tab_1_222" data-toggle="tab">
                                            More Details </a>
                                    </li>



                                </ul>
                                <div class="tab-content">
                                    <div class="tab-pane active" id="tab_1_111" style='margin-top:-15px'>
                                        <!-- Start General Roster details related to employee -->
                                        <div class="portlet-body">
                                            <div class="mt-element-list ">
                                                <div class="mt-list-head list-default blue  w3-card">
                                                    <div class="row">
                                                        <div class=" col-xs-8">
                                                            <div class="list-head-title-container">
                                                                <h3 class="list-title uppercase sbold"
                                                                    style="font-size:14px">Sessions</h3>

                                                            </div>
                                                        </div>
                                                       
                                                    </div>
                                                </div>
                                                <div class="mt-list-container list-default scrollV ">
                                                    
                                                    <div class="input-group margin-bottom-15">
                                                        <span class="input-group-addon">
                                                            <i class="fa fa-search small"></i>
                                                        </span>
                                                        <input class="form-control small" type="text"
                                                            style="font-size:12px;" id="generalDatesSearch"
                                                            onkeyup="searchSchedules('generalDatesSearch', 'my_ul_general')"
                                                            placeholder="Search ..." title="search for dates">
                                                    </div>
                                                    <ul id="my_ul_general"
                                                        style="padding-top:10px;padding-bottom: 10px;">
                                                        <?php if(!$dataRosterProvider[0]):?>
                                                        <li class="mt-list-item">
                                                            <div class="list-icon-container ">
                                                                <a href="javascript:;">
                                                                    <i class="icon-close"></i>
                                                                </a>
                                                            </div>
                                                            <!-- <div class="list-datetime pull-right"> 11am
                                                        <br> 8 Nov </div> -->
                                                            <div class="list-item-content">
                                                                <h3 class="uppercase bold" style="font-size:12px">

                                                                    <a href="javascript:;">
                                                                        Ooops! No Sessions in roster <p
                                                                            class="pull-right"></p>
                                                                    </a>
                                                                </h3>

                                                                <p style="font-size:12px"></p>

                                                            </div>
                                                        </li>
                                                        <?php endif; ?>
                                                        <?php foreach ($dataRosterProvider as $key1 => $list) : ?>
                                                        <li class="mt-list-item" style="padding: 0;border-bottom:none">
                                                           
                                                         
                                                            <div class="list-item-content" style="padding-left:0px">
                                                                <div class="row">
                                                                <div class="col-md-1" style="color: green">
                                                              
                                                                   <i class="fa fa-check-circle"></i>
                                                               
                                                                 </div>

                                                                    <div class="col-md-3">
                                                                       


                                                                            <p>
                                                                           <?php echo $list->session->booth->name; ?> |  <?php echo $list->session->booth->boothType->name; ?><br>
                                                                          <?php echo $list->session->shift->ic->name; ?></p>

                                                                       
                                                                    </div>
                                                                    
                                                                    <div class="col-md-2">
                                                                        
                                                                        
                                                                    

                                                                       <p> <?php echo $list->session->shift->schedule->date ?></p>
                                                                           
                                                                    </div>
                                                                    <div class="col-md-3">
                                                                        
                                                                        
                                                                    

                                                                       <p> <?php echo $list->session->shift->name0->name ?></p>
                                                                           
                                                                    </div>
                                                                    <div class="col-md-3">
                                                                        
                                                                    <p>  
                                                                    
                                                                        SESSION : <?php echo $list->session->start_time; ?>
                                                                        | <?php echo $list->session->end_time; ?></p>

                                                                       
                                                                            
                                                                    </div>

                                                                </div>

                                                                

                                                               
                                                               

                                                            </div>
                                                        </li>
                                                        <?php endforeach;
                                      ?>


                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- End General Roster details related to employee -->


                                    </div>
                                    <div class="tab-pane " id="tab_1_222" style='margin-top:-15px'>





                                        <?= DetailView::widget([
			'model'      => $model,
			'attributes' => [
				'id',
				[
					'attribute'=>'status',
					'value'=>User::getStatusValue($model->status),
				],
				'username',
                'full_name',
                'nic',
                'address',
                'contact_number',
                'file_no',
				[
					'attribute'=>'email',
					'value'=>$model->email,
					'format'=>'email',
					'visible'=>User::hasPermission('viewUserEmail'),
				],
				[
					'attribute'=>'email_confirmed',
					'value'=>$model->email_confirmed,
					'format'=>'boolean',
					'visible'=>User::hasPermission('viewUserEmail'),
				],
			
				[
					'label'=>UserManagementModule::t('back', 'Roles'),
					'value'=>implode('<br>', ArrayHelper::map(Role::getUserRoles($model->id), 'name', 'description')),
					'visible'=>User::hasPermission('viewUserRoles'),
					'format'=>'raw',
				],
				// [
				// 	'attribute'=>'bind_to_ip',
				// 	'visible'=>User::hasPermission('bindUserToIp'),
				// ],
				// array(
				// 	'attribute'=>'registration_ip',
				// 	'value'=>Html::a($model->registration_ip, "http://ipinfo.io/" . $model->registration_ip, ["target"=>"_blank"]),
				// 	'format'=>'raw',
				// 	'visible'=>User::hasPermission('viewRegistrationIp'),
				// ),
				'created_at:datetime',
				'updated_at:datetime',
			],
		]) ?>
                                    </div>
                                </div>
                            </div>

                           









                        </div>
                    </div>
                </div>


            </div>


        </div>